info.bioinfweb.jphyloio.formats.nexus

## Class NexusWriterStreamDataProvider

- java.lang.Object
- - info.bioinfweb.jphyloio.WriterStreamDataProvider<W>
  - - info.bioinfweb.jphyloio.formats.text.TextWriterStreamDataProvider<NexusEventWriter>
    - - info.bioinfweb.jphyloio.formats.nexus.NexusWriterStreamDataProvider

-     public class NexusWriterStreamDataProvider
      extends TextWriterStreamDataProvider<NexusEventWriter>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NexusWriterStreamDataProvider(NexusEventWriter eventWriter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationLogger` | `getLogger()`
    `java.util.Map<java.lang.String,NexusMatrixWriteResult>` | `getMatrixIDToBlockTypeMap()`
    `ReadWriteParameterMap` | `getParameters()`
    `void` | `writeBlockEnd()`
    `void` | `writeBlockStart(java.lang.String name)`
    `void` | `writeCommandEnd()`
    `void` | `writeLineStart(java.lang.String text)`
    `void` | `writeLinkCommand(java.lang.String linkedID, java.lang.String linkedBlockName, EventContentType linkedContentType)`

    - ### Methods inherited from class info.bioinfweb.jphyloio.formats.text.TextWriterStreamDataProvider

      `getWriter`

    - ### Methods inherited from class info.bioinfweb.jphyloio.WriterStreamDataProvider

      `getEventWriter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NexusWriterStreamDataProvider

          public NexusWriterStreamDataProvider(NexusEventWriter eventWriter)

  - ### Method Detail

    - #### getParameters

          public ReadWriteParameterMap getParameters()

    - #### getLogger

          public ApplicationLogger getLogger()

    - #### getMatrixIDToBlockTypeMap

          public java.util.Map<java.lang.String,NexusMatrixWriteResult> getMatrixIDToBlockTypeMap()

    - #### writeBlockStart

          public void writeBlockStart(java.lang.String name)
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLinkCommand

          public void writeLinkCommand(java.lang.String linkedID,
                                       java.lang.String linkedBlockName,
                                       EventContentType linkedContentType)
                                throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeLineStart

          public void writeLineStart(java.lang.String text)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeCommandEnd

          public void writeCommandEnd()
                               throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeBlockEnd

          public void writeBlockEnd()
                             throws java.io.IOException

      Throws:
        `java.io.IOException`